Subject: Re: DARP

From: Jeff Weisberg <[email-masked]>
Date: Sat, 20 Dec 2003 10:40:29 -0500 (EST)

| I have three questions regarding the DARP functionality:
| 
| 1] a. if two or more servers using 'redundant' mode detect an object change
| from Up to Down, will each server send a notification page?
|     b. is this configurable?

it is configurable.

you can have all of the servers send notifications,
you can have only one server send notifications,

you can even configure to only send notifications if
all of the servers see it down...

| 2] is it possible to have a Master server who monitors everything, and slave
| servers who only monitor important stuff?  This could be usefull when you
| have a high-powered master server that can handle monitoring 10,000 DSL
| lines (among other things), and lower powered slave servers that don't need
| to be bothered.

yes, you can configure which servers monitor which things.

or you could also have a high-powered slave monitoring the 10000 DSLs
and the master only monitoring a few things.

or you could have 2 medium-powered slaves each monitor 5000 DSLs, ...

| 3] a. since you seem to have extensive support for SSL, can the master and
| slave servers authenticate via an encrypted session?
|     b. since both sides of the session have a static set of allowed-ips, do
| you think this matters?

the communication between the servers does not use SSL and is not
encrypted (the data being sent back and forth is fairly dull and
boring), -- but there is both per session authentication and per
message authentication as well as IP based access control, because
you don't want some miscreant to be able to say things are up
when they are really down ...

	--jeff